DROP VIEW V_RACUN_LINES
;

CREATE OR REPLACE VIEW V_RACUN_LINES (ID_RACUN_DATA, ID_SALDKONT, ZAP_ST, KOLICINA, ENOTA, NETO, DAV_STOPNJA, ZNESEK, POPUST, 
OPIS, KOMENTAR, ID_DAVEK, TAX_CODE, ID_STORITVE, ID_OBRACUN, DATUM_OD, DATUM_DO, CENABD) 
AS 
SELECT RD.ID_RACUN_DATA, RD.ID_SALDKONT, RD.ZAP_ST, RD.KOLICINA, COALESCE(SS.ENOTA, SO.ID_ENOTA) AS ENOTA, RD.NETO, RD.DAV_STOPNJA, RD.ZNESEK, RD.POPUST, 
COALESCE(SS.OPIS, SO.OPIS) AS OPIS, RD.KOMENTAR, RD.ID_DAVEK, SD.TAX_CODE, RD.ID_STORITVE, RD.ID_OBRACUN, RD.DATUM_OD, Rd.DATUM_DO, RD.CENABD
FROM RACUN_DATA RD
LEFT OUTER JOIN M_STORITVE MS ON RD.ID_STORITVE=MS.ID_STORITVE
LEFT OUTER JOIN M_NNSTOMAR SS ON MS.STORITEV=SS.SIFRA
LEFT OUTER JOIN S_OBRACUN SO ON RD.ID_OBRACUN=SO.ID_OBRACUN
LEFT OUTER JOIN S_DAVEK SD ON RD.ID_DAVEK=SD.ID_DAVEK
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2297, SYSDATE, '5.5', 2217, 'V_RACUN_LINES')
;